"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
const plus = ([a, b]) => (+a) + (+b);
const minus = ([a, b]) => (+a) - (+b);
const multiply = ([a, b]) => (+a) * (+b);
const divide = ([a, b]) => (+a) / (+b);
const list = args => args.map(Number);
const car = ([lst]) => _.head(lst);
const cdr = ([lst]) => _.tail(lst);
const cons = ([head, tail]) => [+head, ...tail];
exports.defaultGlobals = {
    plus,
    minus,
    multiply,
    divide,
    list,
    car,
    cdr,
    cons,
    "+": plus,
    "-": minus,
    "*": multiply,
    "/": divide,
};
