"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Runtime_1 = require("./Runtime");
describe("Runtime", () => {
    describe("execute", () => {
        describe("when given (f 1 2)", () => {
            it("returns f([1, 2])", () => {
                const input = ["f", "1", "2"];
                const runtimeLib = {
                    f: (args, globals) => {
                        const [a, b] = args;
                        return +a + +b;
                    }
                };
                expect(Runtime_1.execute(input, runtimeLib)).toEqual(1 + 2);
            });
        });
    });
});
