"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
exports.splitMultiple = (...splitters) => (v) => {
    const result = [];
    let lastElement = "";
    _.forEach(v, c => {
        if (_.includes(splitters, c)) {
            if (lastElement) {
                result.push(lastElement);
            }
            result.push(c);
            lastElement = "";
        }
        else {
            lastElement += c;
        }
    });
    if (lastElement) {
        result.push(lastElement);
    }
    return result;
};
exports.tokenize = (v) => exports.splitMultiple("(", ")", " ")(v)
    .filter(_.trim);
