#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const Interpreter_1 = require("./Interpreter");
const { version } = require("../package.json");
commander_1.default
    .version(version)
    .arguments("<code>")
    .action(code => {
    const result = Interpreter_1.interpret(code);
    console.log(result.join("\n"));
});
commander_1.default.parse(process.argv);
